## CamelStreamFilter

CamelStreamFilter

## Synopsis

    struct              CamelStreamFilter;
    CamelStreamFilter*  camel_stream_filter_new_with_stream (CamelStream *stream);
    int                 camel_stream_filter_add             (CamelStreamFilter *stream,
                                                             CamelMimeFilter *filter);
    void                camel_stream_filter_remove          (CamelStreamFilter *stream,
                                                             int id);

## Description

## Details

### struct CamelStreamFilter

    struct CamelStreamFilter {
    	CamelStream parent;

    	CamelStream *source;

    	struct _CamelStreamFilterPrivate *priv;
    };

### camel_stream_filter_new_with_stream ()

    CamelStreamFilter*  camel_stream_filter_new_with_stream (CamelStream *stream);

`stream` : |
Returns : |

### camel_stream_filter_add ()

    int                 camel_stream_filter_add             (CamelStreamFilter *stream,
                                                             CamelMimeFilter *filter);

`stream` : |
`filter` : |
Returns : |

### camel_stream_filter_remove ()

    void                camel_stream_filter_remove          (CamelStreamFilter *stream,
                                                             int id);

`stream` : |
`id` : |